Bug 184057 - games/fairymax: update to latest version (2013-10-23)
Summary: games/fairymax: update to latest version (2013-10-23)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-18 19:10 UTC by Kalten
Modified: 2013-11-18 22:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.17 KB, patch)
2013-11-18 19:10 UTC, Kalten
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kalten 2013-11-18 19:10:02 UTC
Update to latest version of programm i.e. 0e4813b from 2013-10-23.
see http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git

Fix: see attached patch.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-11-18 19:10:13 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Danilo Egea Gondolfo freebsd_committer 2013-11-18 20:16:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 3 Danilo Egea Gondolfo freebsd_committer 2013-11-18 20:34:46 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2013-11-18 20:34:47 UTC
Author: danilo
Date: Mon Nov 18 20:34:39 2013
New Revision: 334260
URL: http://svnweb.freebsd.org/changeset/ports/334260

Log:
  - Update from 4.8S.5 to 4.8S.6 [1]
  - Use option helper
  - Add stage support
  
  PR:		ports/184057
  Submitted by:	Kalten <kalten@gmx.at> (maintainer) [1]

Modified:
  head/games/fairymax/Makefile

Modified: head/games/fairymax/Makefile
==============================================================================
--- head/games/fairymax/Makefile	Mon Nov 18 20:11:56 2013	(r334259)
+++ head/games/fairymax/Makefile	Mon Nov 18 20:34:39 2013	(r334260)
@@ -2,11 +2,11 @@
 # $FreeBSD$
 
 PORTNAME=	fairymax
-PORTVERSION=	4.8S.5
+PORTVERSION=	4.8S.6
 CATEGORIES=	games
 MASTER_SITES=	http://freeheimdall.homeunix.org/files/
 DISTNAME=	${PORTNAME}-b6a7fa8
-# http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git;a=snapshot;h=b6a7fa8ae7c54db7bb5a9415ccae3fd55e9b360e;sf=tgz
+# http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git;a=snapshot;h=0e4813b1b6dbb8a2a85c5b6a42486cfa52724d68;sf=tgz
 
 MAINTAINER=	kalten@gmx.at
 COMMENT=	Chess engine for shatranj, courier chess, and others
@@ -21,27 +21,19 @@ DIST_SUBDIR=	${PORTNAME}
 PLIST_FILES=	bin/${PORTNAME} \
 		bin/shamax \
 		bin/maxqi \
+		man/man6/fairymax.6.gz \
+		man/man6/shamax.6.gz \
+		man/man6/maxqi.6.gz \
 		%%DATADIR%%/fmax.ini \
 		%%DATADIR%%/qmax.ini
 PLIST_DIRS=	%%DATADIR%%
 
-MAN6=		${PORTNAME}.6
-MLINKS=		${PORTNAME}.6 shamax.6 \
-		${PORTNAME}.6 maxqi.6
-
 USES=		gmake perl5
 USE_PERL5=	build
 MAKE_ARGS+=	INI_F=${DATADIR}/fmax.ini \
 		INI_Q=${DATADIR}/qmax.ini
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MOPTIMIZED_CFLAGS}
-CFLAGS+=	-O2
-.else
-CFLAGS+=
-.endif
+OPTIMIZED_CFLAGS_CFLAGS=	-O2
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g'	\
@@ -49,12 +41,14 @@ post-patch:
 		${WRKSRC}/fairymax.pod
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/fairymax ${PREFIX}/bin
-	${INSTALL_PROGRAM} ${WRKSRC}/shamax ${PREFIX}/bin
-	${INSTALL_PROGRAM} ${WRKSRC}/maxqi ${PREFIX}/bin
-	${MKDIR} ${DATADIR}
-	${INSTALL_DATA} ${WRKSRC}/data/fmax.ini ${DATADIR}/fmax.ini
-	${INSTALL_DATA} ${WRKSRC}/data/qmax.ini ${DATADIR}/qmax.ini
-	${INSTALL_MAN} ${WRKSRC}/fmax.man ${MAN6PREFIX}/man/man6/${MAN6}
+	${INSTALL_PROGRAM} ${WRKSRC}/fairymax ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/shamax ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/maxqi ${STAGEDIR}${PREFIX}/bin
+	@${MKDIR} ${STAGEDIR}${DATADIR}
+	${INSTALL_DATA} ${WRKSRC}/data/fmax.ini ${STAGEDIR}${DATADIR}/fmax.ini
+	${INSTALL_DATA} ${WRKSRC}/data/qmax.ini ${STAGEDIR}${DATADIR}/qmax.ini
+	${INSTALL_MAN} ${WRKSRC}/fmax.man ${STAGEDIR}${MAN6PREFIX}/man/man6/${PORTNAME}.6
+	${LN} -s ${MAN6PREFIX}/man/man6/${PORTNAME}.6 ${STAGEDIR}${MAN6PREFIX}/man/man6/shamax.6
+	${LN} -s ${MAN6PREFIX}/man/man6/${PORTNAME}.6 ${STAGEDIR}${MAN6PREFIX}/man/man6/maxqi.6
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Kalten 2013-11-18 21:21:57 UTC
Hello Danilo!

> Committed, with minor changes. Thanks!

Well: your commit does not change the port to a new version, as you did
not take the change of DISTNAME from ${PORTNAME}-b6a7fa8 to
${PORTNAME}-0e4813b (although you took the changed line after that,
stating the new download-link in a comment line).

Corresponding to that you did not take the new distinfo file either.

Because of your changes this is no update from 4.8S.5 (git:b6a7fa8) to
4.8S.6 (git:0e4813b) any more. :-(

Further more---about the man pages:
*) no use of MLINKS any more, instead manual ${LN} commands in
   do-install?
*) no use of MAN6 any more?

And---optimized cflags:
Not using some ${PORT_OPTIONS:MOPTIMIZED_CFLAGS} any more but
OPTIMIZED_CFLAGS_CFLAGS? That does not even exist in /usr/ports/Mk/* as
far as I can see that. What is this repetition of itself?
I am not under the impression anything in the porters handbook in
``5.12 Makefile Options''[1] has changed. I am puzzled.
Where can I read about such changes?
And portlint(1) cries when called ``portlint -A'' at your version:
``WARN: Makefile: OPTIMIZED_CFLAGS is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MOPTIMIZED_CFLAGS appears.''
Does your version even honor the knob to let the user decide?

At least the wrong DISTNAME opens this PR again, as I fear.

ru,
 Kalten
[1] http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html
http://www.freebsd.org/cgi/query-pr.cgi?pr=184057
--
Comment 6 Danilo Egea Gondolfo freebsd_committer 2013-11-18 21:56:47 UTC
On 11/18/13 19:21, Kalten wrote:
> Hello Danilo!
> 
>> Committed, with minor changes. Thanks!
> 
> Well: your commit does not change the port to a new version, as you did
> not take the change of DISTNAME from ${PORTNAME}-b6a7fa8 to
> ${PORTNAME}-0e4813b (although you took the changed line after that,
> stating the new download-link in a comment line).

Oops, sorry about that, I'll fix it...

> 
> Corresponding to that you did not take the new distinfo file either.
> 
> Because of your changes this is no update from 4.8S.5 (git:b6a7fa8) to
> 4.8S.6 (git:0e4813b) any more. :-(
> 
> Further more---about the man pages:
> *) no use of MLINKS any more, instead manual ${LN} commands in
>    do-install?
> *) no use of MAN6 any more?

Yes, we are migrating all ports to "stagedir". With stage support these
macros are not necessary.

> 
> And---optimized cflags:
> Not using some ${PORT_OPTIONS:MOPTIMIZED_CFLAGS} any more but
> OPTIMIZED_CFLAGS_CFLAGS? That does not even exist in /usr/ports/Mk/* as
> far as I can see that. What is this repetition of itself?
> I am not under the impression anything in the porters handbook in
> ``5.12 Makefile Options''[1] has changed. I am puzzled.
> Where can I read about such changes?

Read about Options Helpers on the handbook.

> And portlint(1) cries when called ``portlint -A'' at your version:
> ``WARN: Makefile: OPTIMIZED_CFLAGS is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MOPTIMIZED_CFLAGS appears.''
> Does your version even honor the knob to let the user decide?

Portlint don't recognize it, yet.

> 
> At least the wrong DISTNAME opens this PR again, as I fear.

Again, I'll fix it, and again, sorry =/

> 
> ru,
>  Kalten
> [1] http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html
> http://www.freebsd.org/cgi/query-pr.cgi?pr=184057
>